<?php session_start();?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Jellybean Game</title>
<link href="style.css" rel="stylesheet" type="text/css">
</head>

<body background="bgimage.jpg">
<div id = "image">
<img src="jelly-beans.jpg"> <img>
</div>

<?

if($_POST['rangeSelect']){
	$range = $_POST['rangeSelect']; //sets range from the number entered
	if($range == ""){
		$_SESSION['error'] = 'blank'; //error if range is blank
	}elseif(!is_numeric($range)){
		$_SESSION['error'] = 'not a number'; //error if range is not numeric
	}elseif($range < 0){
		$_SESSION['error'] = 'negative'; //error if range is negative
	}elseif($range > 1000){
		$_SESSION['error'] = 'too large'; //error if range is too large (max 1000)
	}
}

if($_POST['guess']){
	$guess = $_POST['guess'];
	if($guess == ""){
		$_SESSION['error'] = 'blank'; //if guess is blank 
	}elseif(!is_numeric($guess)){
		$_SESSION['error'] = 'not a number'; //if guess is not numeric
	}elseif($guess < 0){
		$_SESSION['error'] = 'negative'; //if guess is negative
	}
}

if(!$_SESSION['step']){
	rangeform();
	$_SESSION['step'] = 1; 
}else{
	if($_SESSION['step'] == 1){
		
		if(!$_SESSION['error']){
			$_SESSION['rand'] = rand(0, $_POST['rangeSelect']); //Random number is selected
			$_SESSION['step'] = 2;
			guessform();
		}else{
			error($_SESSION['error']);
			rangeform();
			$_SESSION['error'] = NULL;
		}

	}elseif($_SESSION['step'] == 2){
		if(!$_SESSION['error']){
			if($_POST['guess'] == $_SESSION['rand']){   // checks the guess and if its correct
				$_SESSION['count']++;
				echo "<div class='win'><h1>SPICY</h1> <p>You took ".$_SESSION['count']." attempt"; //displays winning message with number of attempts
				if($_SESSION['count']>1){echo "s to get the right answer.</p></div>";
				}else{echo " to get the right answer.</p></div>";}
				$_SESSION['step'] = 1; //resets steps back to 1
				rangeform(); //brings user back to select another range for new game
				$_SESSION['rand'] = NULL;
				$_SESSION['error'] = NULL;
				$_SESSION['count'] = NULL;
				
			}elseif($_POST['guess'] > $_SESSION['rand']){ //checks if the guess is smaller
				echo "<h1>Smaller</h1>";
				guessform();
				$_SESSION['count']++;
				
			}elseif($_POST['guess'] < $_SESSION['rand']){ //checks if the guess is bigger
				echo "<h1>Bigger</h1>";
				guessform();
				$_SESSION['count']++;
			}
		}else{
		error($_SESSION['error']); //displays necessary error
		guessform();
		$_SESSION['error'] = NULL;
		}
	}
}

//Displays information to the user depending on which error is used
function error($code){
	if($code == 'blank'){
		?>
		<div class="error">
		<h2>Error</h2>
		<p>Nothing Entered.</p>
		</div>
		<?
	}elseif($code == 'not a number'){
		?>
		<div class="error">
		<h2>Error</h2>
		<p>Not a number mate.</p>
		</div>
		<?
	}elseif($code == 'negative'){
		?>
		<div class="error">
		<h2>Error</h2>
		<p>It's a positive number.</p>
		</div>
		<?
	}elseif($code == 'too large'){
		?>
		<div class="error">
		<h2>Error</h2>
		<p>Your range is too large (max 1000)</p>
		</div>
		<?
	}
	
	
}
//DEGUGGING CODES
echo "<p>Step: (".$_SESSION['step'].")</p>";
echo "<p>Random Number: (".$_SESSION['rand'].")</p>";
echo "<p>Number of Guesses: (".$_SESSION['count'].")</p>";
echo "<p>error: (".$_SESSION['error'].")</p>";

//whenever a range must be entered this form is displayed
function rangeform(){
?>
<form method="POST" action="<?=$_SERVER['php_self']?>">	
    <fieldset>
    <legend>Select a range</legend>
    <p>Select Range <input name="rangeSelect"value="<?=$_POST['rangeSelect']?>" required></p>
    <p><button type="submit" name="submitrange">Submit</button></p>
    </fieldset>
</form>
<? }

//whenever a guess is needed this form is displayed
function guessform(){?>
<form method="POST" action="<?=$_SERVER['php_self']?>">
	<div id= "thinking">
    </div>
    <fieldset>
    <legend>Guessing Game</legend>
    <p>Make a Guess <input type="text" name="guess" required></p>
    <p><button type="submit" name="submit" value="1">Submit</button></p>
    </fieldset>
</form>
<? }?>
</body>
</html>